'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tslib = require('tslib');
var React = require('react');

function _interopNamespace(e) {
    if (e && e.__esModule) return e;
    var n = Object.create(null);
    if (e) {
        Object.keys(e).forEach(function (k) {
            if (k !== 'default') {
                var d = Object.getOwnPropertyDescriptor(e, k);
                Object.defineProperty(n, k, d.get ? d : {
                    enumerable: true,
                    get: function () { return e[k]; }
                });
            }
        });
    }
    n["default"] = e;
    return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespace(React);

var ReactIFrame = React__namespace.forwardRef(function (_a, ref) {
    var src = _a.src, onLoad = _a.onLoad, restProps = tslib.__rest(_a, ["src", "onLoad"]);
    var internalFrameRef = React.useRef(null);
    React__namespace.useImperativeHandle(ref, function () { return internalFrameRef.current; });
    React.useEffect(function () {
        if (internalFrameRef === null || internalFrameRef === void 0 ? void 0 : internalFrameRef.current) {
            internalFrameRef.current.src = src;
        }
    }, []);
    return React__namespace.createElement("iframe", tslib.__assign({ ref: internalFrameRef, onLoad: onLoad }, restProps));
});

exports["default"] = ReactIFrame;
//# sourceMappingURL=react-onload-iframe.browser.cjs.js.map
